Bug 480940 - fedora-ds-admin: --as-needed
fedora-ds-admin: --as-needed
Status: CLOSED DEFERRED
Product: 389
Classification: Community
Component: Database - General (Show other bugs)
1.1.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Noriko Hosoi
Ben Levenson
:
Depends On:
Blocks: 389_1.3.0
  Show dependency treegraph
 
Reported: 2009-01-21 09:11 EST by Mario Fetka
Modified: 2015-11-19 17:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 17:18:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Gentoo 104554 None None None Never

  None (edit)
Description Mario Fetka 2009-01-21 09:11:46 EST
Description of problem:
the admin Server cant be compiled with the --as-needed linkflag.

/bin/sh ./libtool --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -march=k8 -msse3 -O2 -pipe  -Wl,--hash-style=both,--as-needed -o config admserv/cgi-src40/config.o libds-admin-serv.la -L/usr/lib64/nspr -L/usr/lib64/nss -L/usr/lib64/svrcore -L/usr/lib64/mozldap   -ladmsslutil -ladminutil -L/usr/lib64 -licui18n -licuuc -licudata -L/usr/lib64/mozldap -lssldap60 -lprldap60 -lldap60 -lldif60 -lsasl2 -L/usr/lib64/nss -L/usr/lib64/nspr   -lsmime3 -lssl3 -lnss3 -lsoftokn3 -L/usr/lib64/nspr   -lplds4 -lplc4 -lnspr4                   
libtool: link: x86_64-pc-linux-gnu-gcc -march=k8 -msse3 -O2 -pipe -Wl,--hash-style=both -Wl,--as-needed -o .libs/ReadLog admserv/cgi-src40/ReadLog.o  ./.libs/libds-admin-serv.so -L/usr/lib64/nspr -L/usr/lib64/nss -L/usr/lib64/svrcore -L/usr/lib64/mozldap /usr/lib64/libadmsslutil.so -L/usr/lib64 /usr/lib64/libadminutil.so -licui18n -licuuc -licudata -lssldap60 -lprldap60 -lldap60 -lldif60 /usr/lib64/libsasl2.so -ldl -lcrypt -lresolv -lsmime3 -lssl3 -lnss3 -lsoftokn3 -lplds4 -lplc4 -lnspr4                                       
/bin/sh ./libtool --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -march=k8 -msse3 -O2 -pipe  -Wl,--hash-style=both,--as-needed -o statpingserv admserv/cgi-src40/statpingserv.o libds-admin-serv.la -L/usr/lib64/nspr -L/usr/lib64/nss -L/usr/lib64/svrcore -L/usr/lib64/mozldap   -ladmsslutil -ladminutil -L/usr/lib64 -licui18n -licuuc -licudata -L/usr/lib64/mozldap -lssldap60 -lprldap60 -lldap60 -lldif60 -lsasl2 -L/usr/lib64/nss -L/usr/lib64/nspr   -lsmime3 -lssl3 -lnss3 -lsoftokn3 -L/usr/lib64/nspr   -lplds4 -lplc4 -lnspr4       
./.libs/libds-admin-serv.so: undefined reference to `SSLSocket_init'                                                                                                             
collect2: ld returned 1 exit status                                                                                                                                              
make[1]: *** [ReadLog] Error 1                                                                                                                                                   
make[1]: *** Waiting for unfinished jobs....                                                                                                                                     
libtool: link: x86_64-pc-linux-gnu-gcc -march=k8 -msse3 -O2 -pipe -Wl,--hash-style=both -Wl,--as-needed -o .libs/config admserv/cgi-src40/config.o  ./.libs/libds-admin-serv.so -L/usr/lib64/nspr -L/usr/lib64/nss -L/usr/lib64/svrcore -L/usr/lib64/mozldap /usr/lib64/libadmsslutil.so -L/usr/lib64 /usr/lib64/libadminutil.so -licui18n -licuuc -licudata -lssldap60 -lprldap60 -lldap60 -lldif60 /usr/lib64/libsasl2.so -ldl -lcrypt -lresolv -lsmime3 -lssl3 -lnss3 -lsoftokn3 -lplds4 -lplc4 -lnspr4                                         
libtool: link: x86_64-pc-linux-gnu-gcc -march=k8 -msse3 -O2 -pipe -Wl,--hash-style=both -Wl,--as-needed -o .libs/start_config_ds admserv/cgi-src40/start_config_ds.o  ./.libs/libds-admin-serv.so -L/usr/lib64/nspr -L/usr/lib64/nss -L/usr/lib64/svrcore -L/usr/lib64/mozldap /usr/lib64/libadmsslutil.so -L/usr/lib64 /usr/lib64/libadminutil.so -licui18n -licuuc -licudata -lssldap60 -lprldap60 -lldap60 -lldif60 /usr/lib64/libsasl2.so -ldl -lcrypt -lresolv -lsmime3 -lssl3 -lnss3 -lsoftokn3 -lplds4 -lplc4 -lnspr4                       
libtool: link: x86_64-pc-linux-gnu-gcc -march=k8 -msse3 -O2 -pipe -Wl,--hash-style=both -Wl,--as-needed -o .libs/statpingserv admserv/cgi-src40/statpingserv.o  ./.libs/libds-admin-serv.so -L/usr/lib64/nspr -L/usr/lib64/nss -L/usr/lib64/svrcore -L/usr/lib64/mozldap /usr/lib64/libadmsslutil.so -L/usr/lib64 /usr/lib64/libadminutil.so -licui18n -licuuc -licudata -lssldap60 -lprldap60 -lldap60 -lldif60 /usr/lib64/libsasl2.so -ldl -lcrypt -lresolv -lsmime3 -lssl3 -lnss3 -lsoftokn3 -lplds4 -lplc4 -lnspr4                             
./.libs/libds-admin-serv.so: undefined reference to `SSLSocket_init'                                                                                                             
collect2: ld returned 1 exit status                                                                                                                                              
make[1]: *** [start_config_ds] Error 1                                                                                                                                           
make[1]: Leaving directory `/var/tmp/portage/net-nds/fedora-ds-admin-1.1.6/work/fedora-ds-admin-1.1.6'                                                                           
make: *** [all] Error 2                                      


Version-Release number of selected component (if applicable):

1.1.6

How reproducible:
activate the --as-needed linkflag

( http://www.gentoo.org/proj/en/qa/asneeded.xml )

Steps to Reproduce:
1.
2.
3.
  
Actual results:

errors out with "undefined reference to `SSLSocket_init'"

Expected results:


Additional info:
Comment 1 Martin Kosek 2012-01-04 08:42:39 EST
Upstream ticket:
https://fedorahosted.org/389/ticket/105
Comment 3 Noriko Hosoi 2015-11-19 17:18:17 EST
Closing this ticket since we moved to the ticket system:
https://fedorahosted.org/389/ticket/105

Note You need to log in before you can comment on or make changes to this bug.